#if !defined(AFX_EDITWND_H__B1F14863_6AD3_11D3_845D_00105A17BC83__INCLUDED_)
#define AFX_EDITWND_H__B1F14863_6AD3_11D3_845D_00105A17BC83__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditWnd.h : header file
//
#include "EditorChildWnd.h"
/////////////////////////////////////////////////////////////////////////////
// CEditCtrl window

class CEditCtrl : public CRichEditCtrl
{
// Construction
public:
	CEditCtrl();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditCtrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CEditCtrl();

	// Generated message map functions
protected:
	//{{AFX_MSG(CEditCtrl)
	afx_msg void OnChange();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// CEditWnd window

class CEditWnd : public CEditorChildWnd
{
// Construction
public:
	CEditWnd();
	CEditWnd(char* string);

// Attributes
public:

	CEditCtrl editWnd;
	CString	path;

	bool (* CloseCallback)(char* filename);

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditWnd)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CEditWnd();
	void LoadFile(char* filepath = NULL);
	// Generated message map functions
protected:
	//{{AFX_MSG(CEditWnd)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnClose();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITWND_H__B1F14863_6AD3_11D3_845D_00105A17BC83__INCLUDED_)
